Bug 466400 - Kernnel panic when laptop lid is closed (HP COmpaq 6910p)
Kernnel panic when laptop lid is closed (HP COmpaq 6910p)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 23:29 EDT by Jithin Emmanuel
Modified: 2009-04-08 17:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 17:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
panic pictue 1 (part a among a,b,c) (239.89 KB, image/jpeg)
2008-10-09 23:30 EDT, Jithin Emmanuel
no flags Details
panic pictue 1 (part b among a,b,c) (252.47 KB, image/jpeg)
2008-10-09 23:31 EDT, Jithin Emmanuel
no flags Details
panic pictue 1 (part c among a,b,c) (243.95 KB, image/jpeg)
2008-10-09 23:40 EDT, Jithin Emmanuel
no flags Details
panic pictue 2 (part a among a,b) (265.32 KB, image/jpeg)
2008-10-09 23:44 EDT, Jithin Emmanuel
no flags Details
panic pictue 2 (part a among a,b) (252.15 KB, image/jpeg)
2008-10-09 23:48 EDT, Jithin Emmanuel
no flags Details

  None (edit)
Description Jithin Emmanuel 2008-10-09 23:29:07 EDT
Description of problem:
Whenever I close my laptop lid the entire system hangs.
I noticed this even when I am closing the lid during shut down.
In gui the system just hangs. So I logged in console mode and closed the lid there I can see kernel panic messages. I do not know how to log them some where . So I took the pictures of the screen and is attaching them.
I noticed that most of the time swapper process is the culprit. 

Version-Release number of selected component (if applicable):2.6.26.5-45.fc9.i686

I had the problem with old 2.6.25 kernels also.


How reproducible:
Always


Steps to Reproduce:
1.Close the laptop lid any time
2.
3.
  
Actual results:
System hangsif you are in console mode you can see kernel panic

Expected results:
It should work according to the event set for laptop lid close

Additional info:
Comment 1 Jithin Emmanuel 2008-10-09 23:30:44 EDT
Created attachment 319967 [details]
panic pictue 1 (part a among a,b,c)
Comment 2 Jithin Emmanuel 2008-10-09 23:31:26 EDT
Created attachment 319968 [details]
panic pictue 1 (part b among a,b,c)
Comment 3 Jithin Emmanuel 2008-10-09 23:40:32 EDT
Created attachment 319969 [details]
panic pictue 1 (part c among a,b,c)
Comment 4 Jithin Emmanuel 2008-10-09 23:44:38 EDT
Created attachment 319970 [details]
panic pictue 2 (part a among a,b)
Comment 5 Jithin Emmanuel 2008-10-09 23:48:47 EDT
Created attachment 319971 [details]
panic pictue 2 (part a among a,b)
Comment 6 Lubomir Rintel 2009-04-05 17:57:24 EDT
Seems like parts of the picture, such as the top of the traceback is missing. Have you tried to capture the oops message with a netconsole? (or booting with vga=792 and doing a complete screenshot)

Also, please attach dmesg.
Comment 7 Jithin Emmanuel 2009-04-05 20:41:12 EDT
This is fixed in new kernels, And is no longer a problem for me.

Note You need to log in before you can comment on or make changes to this bug.